#!/usr/bin/perl

use Image::Magick;

if (@ARGV[1] eq "")
{
        printf("Usage: $0 size pic1 pic2 pic3 ...\n");
        printf("Example: $0 16 test.gif test2.ico\n\n");
        exit;
}

$images = Image::Magick->new();

$SIZE = @ARGV[0];
$ERW = join('','_',$SIZE,'x',$SIZE,".xpm");

$flg=0;
foreach $file (@ARGV)
{
        if (($flg eq "1"))
        {
                $images->Read(filename => $file) && die "Read failed";
        }
        $flg=1;
}
foreach $image (@$images)
{
                $image->Scale(width => $SIZE);
                $image->Scale(height => $SIZE);
                ($newname = $image->Get('base_filename'))
                        =~ s/\.[^.]*$/$ERW/;
                $image->Write($newname) && die "Write failed";
}

